View Javadoc

    1   /*
    2    * Licensed to the Apache Software Foundation (ASF) under one or more
    3    * contributor license agreements.  See the NOTICE file distributed with
    4    * this work for additional information regarding copyright ownership.
    5    * The ASF licenses this file to You under the Apache License, Version 2.0
    6    * (the "License"); you may not use this file except in compliance with
    7    * the License.  You may obtain a copy of the License at
    8    *
    9    *     http://www.apache.org/licenses/LICENSE-2.0
    10   *
    11   * Unless required by applicable law or agreed to in writing, software
    12   * distributed under the License is distributed on an "AS IS" BASIS,
    13   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    14   * See the License for the specific language governing permissions and
    15   * limitations under the License.
    16   */
    17
    18  package org.apache.commons.configuration;
    19
    20  import org.apache.commons.lang.exception.NestableRuntimeException;
    21
    22  /***
    23   * A configuration related runtime exception.
    24   *
    25   * @since 1.0
    26   *
    27   * @author Emmanuel Bourg
    28   * @version $Revision: 439648 $, $Date: 2006-09-02 22:42:10 +0200 (Sa, 02 Sep 2006) $
    29   */
    30  public class ConfigurationRuntimeException extends NestableRuntimeException
    31  {
    32      /***
    33       * The serial version ID.
    34       */
    35      private static final long serialVersionUID = -7838702245512140996L;
    36
    37      /***
    38       * Constructs a new <code>ConfigurationRuntimeException</code> without
    39       * specified detail message.
    40       */
    41      public ConfigurationRuntimeException()
    42      {
    43          super();
    44      }
    45
    46      /***
    47       * Constructs a new <code>ConfigurationRuntimeException</code> with
    48       * specified detail message.
    49       *
    50       * @param message  the error message
    51       */
    52      public ConfigurationRuntimeException(String message)
    53      {
    54          super(message);
    55      }
    56
    57      /***
    58       * Constructs a new <code>ConfigurationRuntimeException</code> with
    59       * specified nested <code>Throwable</code>.
    60       *
    61       * @param cause  the exception or error that caused this exception to be thrown
    62       */
    63      public ConfigurationRuntimeException(Throwable cause)
    64      {
    65          super(cause);
    66      }
    67
    68      /***
    69       * Constructs a new <code>ConfigurationRuntimeException</code> with
    70       * specified detail message and nested <code>Throwable</code>.
    71       *
    72       * @param message  the error message
    73       * @param cause    the exception or error that caused this exception to be thrown
    74       */
    75      public ConfigurationRuntimeException(String message, Throwable cause)
    76      {
    77          super(message, cause);
    78      }
    79  }